Bug 45901 - [r300g, bisected] vs-atan-float-float fail
Summary: [r300g, bisected] vs-atan-float-float fail
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Gallium/r300 (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2012-02-10 09:06 UTC by Pavel Ondračka
Modified: 2012-04-13 19:35 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel Ondračka 2012-02-10 09:06:41 UTC
I did found this when comparing piglit results between 7.11 and 8.0. 
With 7.11 this test pass, however merge base was failing so i did a bisect to see what commit fixed this, it was the commit 7d2ff4ae773f2299239d7e1356cb313c11e442a8 so I started another bisect between 	b1b4ea0b3679db0b8fddaa9663a10d4712bba3b7 (corresponding commit on master) and current head, which ended in  

f379d8f73063a4c4d6cf379318c6b37118d46bfa is the first bad commit
commit f379d8f73063a4c4d6cf379318c6b37118d46bfa
Author: Bryan Cain <bryancain3@gmail.com>
Date:   Mon Apr 25 23:37:47 2011 -050

    st/mesa: Add a GLSL IR to TGSI translator.
    
    It is still a work in progress at this point, but it produces working and
    reasonably well-optimized code.
    
    Originally based on ir_to_mesa and st_mesa_to_tgsi, but does not directly use
    Mesa IR instructions in TGSI generation, instead generating TGSI from the
    intermediate class glsl_to_tgsi_instruction.  It also has new optimization
    passes to replace _mesa_optimize_program.


GPU: RV530
Kernel: 3.2.3
Libdrm: 2.4.31
xf86-video-ati: e20284409937d784847339b5d466a95012d85940
Comment 1 Pavel Ondračka 2012-02-11 03:11:30 UTC
glsl-vs-vec4-indexing-temp-dst-in-loop is another test regressed by aforementioned commit. BTW both tests pass with llvmpipe and softpipe, so this is probably just some uncovered r300 compiler bug, not a real regression.
Comment 2 Tom Stellard 2012-04-13 19:35:04 UTC
Fixed in git commit b2df031a959f36743527b9abc89913ce4f895de3


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.